org.eclipse.emf.facet.util.jface.ui.imageprovider

## Interface IImageProvider

Deprecated.
replaced by `IImageProvider`

    @Deprecated
    public interface IImageProvider

JFace Image Provider

Since:
  0.4.0*
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`ImageDescriptor` `createImageDescriptor(java.lang.String resourcePath)` Deprecated. Return an image descriptor from its path
`Image` `getImage(DecorationOverlayIcon imgDescriptor)` Deprecated. Return an image from an Overlay Icon description.
`Image` `getImage(ImageDescriptor imgDescriptor)` Deprecated. Return an image from an image descriptor
`Image` `getImage(java.lang.String path)` Deprecated. Return an image from its path

### Method Detail

#### getImage

    Image getImage(DecorationOverlayIcon imgDescriptor)

Deprecated.
Return an image from an Overlay Icon description.

Parameters:
  `imgDescriptor` - Overlay Icon description
Returns:
  A new image

#### getImage

    Image getImage(java.lang.String path)

Deprecated.
Return an image from its path

Parameters:
  `path` - The path of the image
Returns:
  A new image

#### createImageDescriptor

    ImageDescriptor createImageDescriptor(java.lang.String resourcePath)

Deprecated.
Return an image descriptor from its path

Parameters:
  `resourcePath` - The path from which to create the descriptor
Returns:
  The new image descriptor

#### getImage

    Image getImage(ImageDescriptor imgDescriptor)

Deprecated.
Return an image from an image descriptor

Parameters:
  `imgDescriptor` - An image descriptor to create the image
Returns:
  A new image